* [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/
@ 2016-05-03 19:17 Austin English
0 siblings, 0 replies; 5+ messages in thread
From: Austin English @ 2016-05-03 19:17 UTC (permalink / raw
To: gentoo-commits
commit: 4efd4972ad12c1131f32563f35abcff21c74c5ea
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue May 3 18:59:58 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue May 3 19:17:01 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4efd4972
net-proxy/havp: remove old version
Package-Manager: portage-2.2.26
net-proxy/havp/havp-0.92a-r1.ebuild | 74 -------------------------------------
1 file changed, 74 deletions(-)
diff --git a/net-proxy/havp/havp-0.92a-r1.ebuild b/net-proxy/havp/havp-0.92a-r1.ebuild
deleted file mode 100644
index 8f5a017..0000000
--- a/net-proxy/havp/havp-0.92a-r1.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-inherit autotools eutils toolchain-funcs user
-
-DESCRIPTION="HTTP AntiVirus Proxy"
-HOMEPAGE="http://www.server-side.de/"
-SRC_URI="http://www.server-side.de/download/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="clamav ssl"
-
-DEPEND="clamav? ( >=app-antivirus/clamav-0.98.5 )"
-RDEPEND="${DEPEND}"
-
-pkg_setup() {
- enewgroup ${PN}
- enewuser ${PN} -1 -1 /etc/${PN} ${PN}
-}
-
-src_prepare() {
- epatch \
- "${FILESDIR}"/${PN}-0.92a-run.patch \
- "${FILESDIR}"/${PF}-pkg-config-libclamav.patch
- sed -i configure.in -e '/^CFLAGS=/d' || die
- mv configure.{in,ac} || die
- eautoreconf
-}
-
-src_configure() {
- tc-export AR
- export CFLAGS="${CXXFLAGS}"
- econf \
- $(use_enable clamav) \
- $(use_enable ssl ssl-tunnel) \
- --localstatedir=/var
-}
-
-src_install() {
- dosbin ${PN}/${PN}
-
- newinitd "${FILESDIR}/${PN}.initd" ${PN}
-
- insinto /etc
- rm -r etc/${PN}/${PN}.config.in
- doins -r etc/${PN}
-
- dodoc ChangeLog
-}
-
-pkg_postinst() {
- ewarn "/var/tmp/${PN} must be on a filesystem with mandatory locks!"
- ewarn "You should add \"mand\" to the mount options on the relevant line in /etc/fstab."
-
- if use ssl; then
- echo
- ewarn "Note: ssl USE flag only enable SSL pass-through, which means that"
- ewarn " HTTPS pages will not be scanned for viruses!"
- ewarn " It is impossible to decrypt data sent through SSL connections without knowing"
- ewarn " the private key of the used certificate."
- fi
-
- if use clamav; then
- echo
- ewarn "If you plan to use clamav daemon, you should make sure clamav user can read"
- ewarn "/var/tmp/${PN} content. This can be accomplished by enabling AllowSupplementaryGroups"
- ewarn "in /etc/clamd.conf and adding clamav user to the ${PN} group."
- fi
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/
@ 2021-04-17 19:20 Conrad Kostecki
0 siblings, 0 replies; 5+ messages in thread
From: Conrad Kostecki @ 2021-04-17 19:20 UTC (permalink / raw
To: gentoo-commits
commit: 2acde7b9b35942d9f4f414cb5f0ffe8bfff774c9
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 17 18:57:43 2021 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Apr 17 19:19:37 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2acde7b9
net-proxy/havp: migrate to glep 81
Closes: https://bugs.gentoo.org/781464
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
net-proxy/havp/havp-0.92a-r3.ebuild | 81 +++++++++++++++++++++++++++++++++++++
1 file changed, 81 insertions(+)
diff --git a/net-proxy/havp/havp-0.92a-r3.ebuild b/net-proxy/havp/havp-0.92a-r3.ebuild
new file mode 100644
index 00000000000..e29ca2eab91
--- /dev/null
+++ b/net-proxy/havp/havp-0.92a-r3.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="HTTP AntiVirus Proxy"
+HOMEPAGE="http://www.server-side.de/"
+SRC_URI="http://www.server-side.de/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="clamav ssl"
+
+DEPEND="clamav? ( >=app-antivirus/clamav-0.98.5 )"
+RDEPEND="
+ ${DEPEND}
+ acct-group/havp
+ acct-user/havp
+"
+
+PATCHES=(
+ "${FILESDIR}"/havp-0.92a-run.patch
+ "${FILESDIR}"/${P}-pkg-config-libclamav.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i configure.in -e '/^CFLAGS=/d' || die
+ mv configure.{in,ac} || die
+
+ eautoreconf
+}
+
+src_configure() {
+ tc-export AR
+ export CFLAGS="${CXXFLAGS}"
+
+ local myeconfargs=(
+ $(use_enable clamav)
+ $(use_enable ssl ssl-tunnel)
+ --localstatedir=/var
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ dosbin havp/havp
+
+ newinitd "${FILESDIR}/havp.initd" havp
+
+ rm -r etc/havp/havp.config.in || die
+ insinto /etc
+ doins -r etc/havp
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ ewarn "/var/tmp/havp must be on a filesystem with mandatory locks!"
+ ewarn "You should add \"mand\" to the mount options on the relevant line in /etc/fstab."
+
+ if use ssl; then
+ echo
+ ewarn "Note: ssl USE flag only enable SSL pass-through, which means that"
+ ewarn " HTTPS pages will not be scanned for viruses!"
+ ewarn " It is impossible to decrypt data sent through SSL connections without knowing"
+ ewarn " the private key of the used certificate."
+ fi
+
+ if use clamav; then
+ echo
+ ewarn "If you plan to use clamav daemon, you should make sure clamav user can read"
+ ewarn "/var/tmp/havp content. This can be accomplished by enabling AllowSupplementaryGroups"
+ ewarn "in /etc/clamd.conf and adding clamav user to the havp group."
+ fi
+}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/
@ 2021-04-17 19:20 Conrad Kostecki
0 siblings, 0 replies; 5+ messages in thread
From: Conrad Kostecki @ 2021-04-17 19:20 UTC (permalink / raw
To: gentoo-commits
commit: 2ebd5427a8528ccd291541c94e04ae31845ae613
Author: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 17 18:58:16 2021 +0000
Commit: Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Apr 17 19:19:37 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ebd5427
net-proxy/havp: drop old version
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>
net-proxy/havp/havp-0.92a-r2.ebuild | 75 -------------------------------------
1 file changed, 75 deletions(-)
diff --git a/net-proxy/havp/havp-0.92a-r2.ebuild b/net-proxy/havp/havp-0.92a-r2.ebuild
deleted file mode 100644
index 1ff90bd402e..00000000000
--- a/net-proxy/havp/havp-0.92a-r2.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit autotools epatch toolchain-funcs user
-
-DESCRIPTION="HTTP AntiVirus Proxy"
-HOMEPAGE="http://www.server-side.de/"
-SRC_URI="http://www.server-side.de/download/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE="clamav ssl"
-
-DEPEND="clamav? ( >=app-antivirus/clamav-0.98.5 )"
-RDEPEND="${DEPEND}"
-
-pkg_setup() {
- enewgroup ${PN}
- enewuser ${PN} -1 -1 /etc/${PN} ${PN}
-}
-
-src_prepare() {
- epatch \
- "${FILESDIR}"/${PN}-0.92a-run.patch \
- "${FILESDIR}"/${P}-pkg-config-libclamav.patch
-
- sed -i configure.in -e '/^CFLAGS=/d' || die
- mv configure.{in,ac} || die
-
- eautoreconf
-}
-
-src_configure() {
- tc-export AR
- export CFLAGS="${CXXFLAGS}"
- econf \
- $(use_enable clamav) \
- $(use_enable ssl ssl-tunnel) \
- --localstatedir=/var
-}
-
-src_install() {
- dosbin ${PN}/${PN}
-
- newinitd "${FILESDIR}/${PN}.initd" ${PN}
-
- insinto /etc
- rm -r etc/${PN}/${PN}.config.in
- doins -r etc/${PN}
-
- dodoc ChangeLog
-}
-
-pkg_postinst() {
- ewarn "/var/tmp/${PN} must be on a filesystem with mandatory locks!"
- ewarn "You should add \"mand\" to the mount options on the relevant line in /etc/fstab."
-
- if use ssl; then
- echo
- ewarn "Note: ssl USE flag only enable SSL pass-through, which means that"
- ewarn " HTTPS pages will not be scanned for viruses!"
- ewarn " It is impossible to decrypt data sent through SSL connections without knowing"
- ewarn " the private key of the used certificate."
- fi
-
- if use clamav; then
- echo
- ewarn "If you plan to use clamav daemon, you should make sure clamav user can read"
- ewarn "/var/tmp/${PN} content. This can be accomplished by enabling AllowSupplementaryGroups"
- ewarn "in /etc/clamd.conf and adding clamav user to the ${PN} group."
- fi
-}
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/
@ 2022-07-02 19:19 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-07-02 19:19 UTC (permalink / raw
To: gentoo-commits
commit: 7f6729f4a31bcd49ba4075c07f6f921a363d5424
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 2 19:18:36 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 2 19:19:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f6729f4
net-proxy/havp: update HOMEPAGE
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-proxy/havp/havp-0.92a-r3.ebuild | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/net-proxy/havp/havp-0.92a-r3.ebuild b/net-proxy/havp/havp-0.92a-r3.ebuild
index e29ca2eab914..682e96119730 100644
--- a/net-proxy/havp/havp-0.92a-r3.ebuild
+++ b/net-proxy/havp/havp-0.92a-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,7 +6,7 @@ EAPI=7
inherit autotools toolchain-funcs
DESCRIPTION="HTTP AntiVirus Proxy"
-HOMEPAGE="http://www.server-side.de/"
+HOMEPAGE="http://www.havp.org/"
SRC_URI="http://www.server-side.de/download/${P}.tar.gz"
LICENSE="GPL-2"
^ permalink raw reply related [flat|nested] 5+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/
@ 2022-07-02 19:19 Sam James
0 siblings, 0 replies; 5+ messages in thread
From: Sam James @ 2022-07-02 19:19 UTC (permalink / raw
To: gentoo-commits
commit: 2cb053c445d8b6ccaf9e1a653f7f4f5786f2b644
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 2 19:19:10 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 2 19:19:24 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cb053c4
net-proxy/havp: add github upstream metadata
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-proxy/havp/metadata.xml | 11 ++++++++---
1 file changed, 8 insertions(+), 3 deletions(-)
diff --git a/net-proxy/havp/metadata.xml b/net-proxy/havp/metadata.xml
index 06f86c4f5bae..9a85a91ed599 100644
--- a/net-proxy/havp/metadata.xml
+++ b/net-proxy/havp/metadata.xml
@@ -1,7 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
-<!-- maintainer-needed -->
-<longdescription>HAVP (HTTP AntiVirus proxy) is a proxy with an anti-virus
-filter. It does not cache or filter content.</longdescription>
+ <!-- maintainer-needed -->
+ <longdescription>
+ HAVP (HTTP AntiVirus proxy) is a proxy with an anti-virus
+ filter. It does not cache or filter content.
+ </longdescription>
+ <upstream>
+ <remote-id type="github">HaveSec/HAVP</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 5+ messages in thread
end of thread, other threads:[~2022-07-02 19:19 UTC | newest]
Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-07-02 19:19 [gentoo-commits] repo/gentoo:master commit in: net-proxy/havp/ Sam James
-- strict thread matches above, loose matches on Subject: below --
2022-07-02 19:19 Sam James
2021-04-17 19:20 Conrad Kostecki
2021-04-17 19:20 Conrad Kostecki
2016-05-03 19:17 Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox